'''Created 24 Nov 2023 Levi'''

from datetime import (date, timedelta)
import unittest
import pprint

from anafapi.anafspv import anafSPV


class spvTest(unittest.TestCase):
    spv = anafSPV()

    def test_get_messages(self):
        requests_cookies = self.spv.get_cookies_from_browser('Windows Security')
        messages = self.spv.get_messages(10)
        pprint.pprint(messages)
        for message in messages['mesaje']:  # -1:
            date_ = date.today() - timedelta(days=5)
            if message['created_date'] == date_.strftime('%d-%b-%Y'):  # '15-Jan-2023':
                self.spv.download_message(message['cif'], id_=message['id'], details=message['detalii'])
        # self.spv.download_message('27100508', id_='556755658', details=message['tip'])

    def test_get_fin_sheet(self):
        requests_cookies = self.spv.get_cookies_from_browser('Windows Security')
        response = self.spv.get_fin_sheet(cui='27100508')
        pprint.pprint(response)

    def test_get_vector(self):
        requests_cookies = self.spv.get_cookies_from_browser('Windows Security')
        response = self.spv.get_vector(cui='17259191')
        pprint.pprint(response)

    def test_get_dif_D394(self):
        requests_cookies = self.spv.get_cookies_from_browser('Windows Security')
        response = self.spv.get_dif_D394(cui='17259191', year='2023', monthi='11', montho='11')
        pprint.pprint(response)


if __name__ == "__main__":
    # unittest.main()
    spvTest().test_get_messages()
